Alembic: Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS > Class Template Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS > Class Template Reference
Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >:

## Public Types
typedef TRAITS | traits_type
typedef ITypedScalarProperty< TRAITS > | this_type
typedef TRAITS::value_type | value_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty
typedef IScalarProperty | this_type

## Public Member Functions
| ITypedScalarProperty ()
| ITypedScalarProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ITypedScalarProperty (AbcA::ScalarPropertyReaderPtr iProperty, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ITypedScalarProperty (AbcA::ScalarPropertyReaderPtr iProp, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| Deprecated in favor of the constructor above.
void | get (value_type &iVal, const ISampleSelector &iSS=ISampleSelector()) const
value_type | getValue (const ISampleSelector &iSS=ISampleSelector()) const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IScalarProperty
| IScalarProperty ()
| IScalarProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| IScalarProperty (AbcA::ScalarPropertyReaderPtr iPtr, const Argument &iArg0=Argument())
| IScalarProperty (AbcA::ScalarPropertyReaderPtr iPtr, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument())
| ~IScalarProperty ()
size_t | getNumSamples () const
bool | isConstant () const
AbcA::TimeSamplingPtr | getTimeSampling () const
void | get (void *oSample, const ISampleSelector &iSS=ISampleSelector()) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::ScalarPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Static Public Member Functions
static const char * | getInterpretation ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)

## Additional Inherited Members
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
typedef IBasePropertyT< AbcA::ScalarPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::ScalarPropertyReaderPtr > | operator_bool_base_type
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ScalarPropertyReaderPtr >
AbcA::ScalarPropertyReaderPtr | m_property

## Constructor & Destructor Documentation

## ◆ ITypedScalarProperty() [1/3]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::ITypedScalarProperty | ( |  | ) |
| inline

Default constructor ...

## ◆ ITypedScalarProperty() [2/3]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::ITypedScalarProperty | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )
| inline

This constructor creates a new typed scalar property reader. The first argument is the ICompoundProperty parent, from which the error handler policy for inheritance is also derived. The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify schema matching policy, and that's it.

## ◆ ITypedScalarProperty() [3/3]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::ITypedScalarProperty | ( | AbcA::ScalarPropertyReaderPtr | iProperty,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )
| inline

Explicitly wrap an existing property It will check the data type and also verify the schema, if requested.

## Member Function Documentation

## ◆ get()

template<class TRAITS>

void Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::get | ( | value_type & | iVal,
|  | const ISampleSelector & | iSS = ISampleSelector() ) const
| inline

Get the typed sample. ...

## ◆ getInterpretation()

template<class TRAITS>

const char * Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::getInterpretation | ( |  | ) |
| inlinestatic

Return the interpretation expected of this property. An empty interpretation matches everything

## ◆ getValue()

template<class TRAITS>

value_type Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::getValue | ( | const ISampleSelector & | iSS = ISampleSelector() | ) | const
| inline

Return the typed sample by value. ...

## ◆ matches() [1/2]

template<class TRAITS>

bool Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::matches | ( | const AbcA::MetaData & | iMetaData,
|  | SchemaInterpMatching | iMatching = kStrictMatching )
| inlinestatic

This will check whether or not a given entity (as represented by a metadata) strictly matches the interpretation of this schema object

## ◆ matches() [2/2]

template<class TRAITS>

bool Alembic::Abc::ALEMBIC_VERSION_NS::ITypedScalarProperty< TRAITS >::matches | ( | const AbcA::PropertyHeader & | iHeader,
|  | SchemaInterpMatching | iMatching = kStrictMatching )
| inlinestatic

This will check whether or not a given object (as represented by an object header) strictly matches the interpretation of this schema object

The documentation for this class was generated from the following file:

- Abc/ITypedScalarProperty.h